#/bin/bash
#Tomasz Lodarski & Piotr Lezon
#plik netstat.sh
netstat -s > temp.tmp;                                                       #netstat do tempa, pozniej wycinamy
ip_total=`grep 'total packets received' temp.tmp|gawk '{print $1}'`
ip_incoming=`grep 'incoming packets delivered' temp.tmp|gawk '{print $1}'`;
ip_request=`grep 'requests sent out' temp.tmp|gawk '{print $1}'`;
icmp_received=`grep 'ICMP messages received' temp.tmp |gawk '{print $1}'`
icmp_messages_send=`grep 'ICMP messages sent' temp.tmp |gawk '{print $1}'`
icmp_failed=`grep 'ICMP messages failed' temp.tmp |gawk '{print $1}'`;
icmp_input=`grep 'input ICMP message failed' temp.tmp |gawk '{print $1}'`;
tcp_active_c=`grep 'active connection' temp.tmp |gawk '{print $1}'`;
tcp_passive_c=`grep 'passive connection' temp.tmp |gawk '{print $1}'`;
tcp_failed=`grep 'failed connection attempts' temp.tmp |gawk '{print $1}'`;
tcp_established=`grep 'connections established' temp.tmp |gawk '{print $1}'`;
udp_received=`grep 'packets received' temp.tmp |grep -v 'total' |gawk '{print $1}'`;
udp_receive_errors=`grep 'packet receive errors' temp.tmp |gawk '{print $1}'`;
udp_sent=`grep 'packets sent' temp.tmp |gawk '{print $1}'`;
clear;
echo "Najwazniejsze informacje na temat sieci:"
echo ""
echo "IP: Ogolem odebrane $ip_total";
echo "IP: Ogolem wyslane $ip_incoming";
echo "IP: Wyslanych zapytan $ip_request";
echo "ICMP: odebranych :$icmp_received";
echo "ICMP: wyslanych :$icmp_messages_send";
echo "ICMP: wysylanie: blednych :$icmp_failed";
echo "ICMP: odbieranie: blednych :$icmp_input";
echo "TCP: poloczenia w trybie aktywnum :$tcp_active_c";
echo "TCP: poloczenia w trybie pasywnym :$tcp_passive_c";
echo "TCP: bledy polaczenia :$tcp_failed";
echo "TCP: aktywne polaczenia $tcp_established";
echo "UDP: pakiety odebrane $udp_received";
echo "UDP: bledne pakiety odebrane $udp_receive_errors";
echo "UDP: pakiety wyslane $udp_sent";
main;